import { KNativePointer, ArktsObject } from "../../src/reexport-for-generated";
import { AnnotationUsage } from "./AnnotationUsage";
import { SrcDumper } from "./SrcDumper";
export declare class AnnotationAllowed extends ArktsObject {
    constructor(pointer: KNativePointer);
    get hasAnnotations(): boolean;
    /** @deprecated */
    emplaceAnnotation(source?: AnnotationUsage): this;
    /** @deprecated */
    clearAnnotations(): this;
    /** @deprecated */
    dumpAnnotations(dumper?: SrcDumper): this;
    get annotationsForUpdate(): readonly AnnotationUsage[];
    get annotations(): readonly AnnotationUsage[];
    /** @deprecated */
    setAnnotations(annotationList: readonly AnnotationUsage[]): this;
    /** @deprecated */
    setAnnotations1(annotationList: readonly AnnotationUsage[]): this;
    protected readonly brandAnnotationAllowed: undefined;
}
export declare function isAnnotationAllowed(node: object | undefined): node is AnnotationAllowed;
